#!/bin/bash

USERNAME="admin"
PASSWORD="pass"

if [ $# -lt 2 ]; then
  echo "Usage: $0 <nickname> <nickname>"
  exit 1
fi

response="$(curl -u $USERNAME:$PASSWORD -s -X POST -H "Content-Type: application/json" \
      --data '{"members": {"'$1'":{}, "'$2'":{}}}' \
      http://localhost:8080/api/v1/multisig)"

echo $response | jq -r .secrets.$USERNAME | base32 -d | jq '. | {"'$USERNAME'": .}'
echo $response | jq -r .secrets.$1 | base32 -d | jq '. | {"'$1'": .}'
echo $response | jq -r .secrets.$2 | base32 -d | jq '. | {"'$2'": .}'
